Skip to main content
POST
/
topics
/
bulk-action
Bulk Actions on Topics
curl --request POST \
  --url https://api-prod.voltai.ai/source/api/topics/bulk-action/ \
  --header 'Content-Type: application/json' \
  --cookie sessionid= \
  --data '
{
  "action": "create",
  "topics": [
    {}
  ],
  "topic_uuids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "topic_paths": [
    [
      "<string>"
    ]
  ]
}
'
{
  "action": "create",
  "topics": [
    {
      "name": "Power Management"
    }
  ]
}

Authorizations

sessionid
string
cookie
required

Query Parameters

organization_name
string
required

Organization name (required for multi-tenant API keys)

Body

Request schema for topic bulk actions.

action
enum<string>
required

Action to perform on topics.

  • create - create
  • create-topic-paths - create-topic-paths
  • update - update
  • delete - delete
Available options:
create,
create-topic-paths,
update,
delete
topics
object[]

List of topic objects for create/update. Update objects must include 'uuid'.

topic_uuids
string<uuid>[]

List of topic UUIDs to delete.

topic_paths
string[][]

List of topic paths. Required for create-topic-paths action.

Minimum string length: 1

Response

Reusable response schema for bulk actions.

message
string
required
deleted_count
integer
created_count
integer
existing_count
integer
processed_paths
integer
updated_count
integer
deleted_subtopics
integer
error_count
integer
errors
object[]